#include "cfgPatches.hpp"
 
/*
 
Please fill in the config below with details for your uniform submission in the clothing catergory.
 
Some of the default properties, such as editor categories, DLC details, etc., are not required for entries and have been removed from the template. For each property where your input is required, remove the example text and insert your own between the quotation marks.
 
*/
 
class cfgWeapons
{
    class UniformItem;
    class Uniform_Base;
       
    class Aow_clothing_F: Uniform_Base
    {
        author="Community Author"; // Enter your full name
        displayName="Name of Uniform"; // Please provide a simple display name
        scope=2; // Ignore
        picture="Clothing\Data\AoW_Clothing_Uniform_ca.paa"; // Ignore if using submission template
        model="\A3\Characters_F\Common\Suitpacks\suitpack_original_F.p3d"; // Ignore or add path to a custom suitpack model
        hiddenSelections[]=
        {
            "camo"
        }; // Enter name(s) of any hiddenSelections
        hiddenSelectionsMaterials[]=
        {
            "Clothing\AoW_Clothing_F.rvmat"
        }; // Enter name(s) for materials (.RVMAT) assigned to your suitpack model
        hiddenSelectionsTextures[]=
        {
            "Clothing\AoW_Clothing_F_co.paa"
        }; // Enter name(s) for diffuse textures (.PAA) assigned to your suitpack model
          
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass=Aow_clothing_character_F;
            containerClass=Supply40;
            mass=40;
        };
    };
};
    
class cfgVehicles
{
 
    class B_Soldier_Base_F;
      
    class Aow_clothing_character_F: B_Soldier_Base_F
    {
        author="Community Author"; // Enter your full name
        displayName="Name of Uniform"; // Please provide a simple display name
        uniformClass="Aow_clothing_character_F";
        model="Clothing\AoW_Clothing_f.p3d"; // Direct path to your model
        scope=1; // Ignore
        hiddenSelections[]=
        {
            "camo"
        }; // Enter name(s) of any hiddenSelections
        hiddenSelectionsMaterials[]=
        {
            "Clothing\AoW_Clothing_F.rvmat"
        }; // Enter name(s) for materials (.RVMAT) assigned to your model
        hiddenSelectionsTextures[]=
        {
            "Clothing\AoW_Clothing_F_co.paa"
        }; // Enter name(s) for diffuse textures (.PAA) assigned to your model
        class Wounds
        {
            tex[]={}; // Ignore
            mat[]={
                "Clothing\AoW_Clothing_F.rvmat", // Path to your model's material
                "Clothing\AoW_Clothing_F_Injury.rvmat", // Path to your model's injury material
                "Clothing\AoW_Clothing_F_Injury.rvmat", // Path to your model's injury material
                INJURY_PERSONALITY_MATERIALS
            };
        };
        armor=2; // Ignore
        armorStructural=0.38; // Ignore
        explosionShielding=0.038; // Ignore
    };
    #include "cfgGroundHolders.hpp" // Allows the item to be placed from the Eden Editor. Make sure you include the cfgGroundHolders.hpp config entry in the same folder as this config.
};